<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Submission;
use Illuminate\Support\Facades\Validator;

class ApiController extends Controller
{
    
    
    public function store(Request $request)
    {
        // print_r($request->all());die;
        $validator = Validator::make($request->all(), [
            'shipper_fleet_owner' => 'required|string',
            'name' => 'required|string',
            'fleet_size' => 'required|integer',
            'usage' => 'required|string',
            'type_of_vehicle' => 'required|string',
            'contact_person_name' => 'required|string',
            'email' => 'required|email',
            'contact_number' => 'required|string',
            'location' => 'required|string',

        ]);

        if ($validator->fails()) {
            return response()->json(['error' => 'Validation Error', 
            'messages' => $validator->errors()], 400);
        }

        // $submission = Submission::create($request->all());
        $submission = new Submission;
        $submission->shipper_fleet_owner = $request['shipper_fleet_owner'];
        $submission->name = $request['name'];
        $submission->fleet_size = $request['fleet_size'];
        $submission->usage = $request['usage'];
        $submission->type_of_vehicle = $request['type_of_vehicle'];
        $submission->contact_person_name = $request['contact_person_name'];
        $submission->email = $request['email'];
        $submission->contact_number = $request['contact_number'];
        $submission->location = $request['location'];
        $submission->save();
        return response()->json([
            'status' => 'success',
            'message' => 'Data submitted successfully',
            'data' => $submission
        ], 200);
    }


    public function fetchdata()
    {
        $data = Submission::all();
        if($data == '' || $data != ''){
            return response()->json([
                'status' => 'success',
                'message' => 'Data Not Fount',
                'error' => '400'
            ], 400);
        } else{
            return response()->json([
                'status' => 'success',
                'message' => 'Data Fetch successfully',
                'error' => '200',
                'data' => $data
            ], 200);
        }
        // return response()->json($data);
    }



}
